> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragmatiks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Dead Letter Events

> Bulk delete failed events.

Requires either `?all=true` to delete all events or `?provider=x` to delete
events for a specific provider.

Returns:
    Dictionary with count of deleted events.

Raises:
    HTTPException: 400 if neither `all=true` nor `provider` specified.



## OpenAPI

````yaml https://api.pragmatiks.io/openapi.json delete /ops/dead-letter
openapi: 3.1.0
info:
  title: Pragma API
  version: 0.1.0
servers: []
security: []
paths:
  /ops/dead-letter:
    delete:
      tags:
        - ops
      summary: Bulk Delete Dead Letter Events
      description: >-
        Bulk delete failed events.


        Requires either `?all=true` to delete all events or `?provider=x` to
        delete

        events for a specific provider.


        Returns:
            Dictionary with count of deleted events.

        Raises:
            HTTPException: 400 if neither `all=true` nor `provider` specified.
      operationId: ops-bulk_delete_dead_letter_events
      parameters:
        - name: all
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Delete all events
            title: All
          description: Delete all events
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Delete events for specific provider
            title: Provider
          description: Delete events for specific provider
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: integer
                title: Response Ops-Bulk Delete Dead Letter Events
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````